Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHMenuHandlerFull

    java.lang.Object
      com.mindbright.ssh.SSHMenuHandler
          com.mindbright.ssh.SSHMenuHandlerFull

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.awt.event.ItemListener, TerminalMenuListener

Direct Known Subclasses:
  SSHMenuHandlerFullAWT, SSHMenuHandlerFullSwing

public abstract class SSHMenuHandlerFull
extends SSHMenuHandler
implements java.awt.event.ActionListener, java.awt.event.ItemListener, TerminalMenuListener

Nested Class Summary
`protected class` | `SSHMenuHandlerFull.Actions`

Field Summary
`protected static int` | `ACT_MOD_BASE`
`protected static java.lang.String[]` | `AUTH_METHODS`
`protected static java.lang.String[]` | `ciphers`
`protected SSHInteractiveClient` | `client`
`protected static int[]` | `comp2lvl`
`protected static java.lang.String[]` | `compc2s`
`protected static java.lang.String[]` | `comps2c`
`protected static java.lang.String` | `ERR_NO_KEYTYPE`
`protected static java.lang.String` | `ERR_NO_PROTOCOL`
`protected static java.lang.String[]` | `hktypes`
`protected static int` | `IDX_TAB_FEATURES`
`protected static int` | `IDX_TAB_GENERAL`
`protected static int` | `IDX_TAB_PROXY`
`protected static int` | `IDX_TAB_SECURITY`
`protected static java.lang.String` | `LBL_ALLOC_PTY`
`protected static java.lang.String` | `LBL_ANY_STANDARD`
`protected static java.lang.String` | `LBL_AUTH`
`protected static java.lang.String` | `LBL_AUTH_REQ`
`protected static java.lang.String` | `LBL_AVAIL_HOSTS`
`protected static java.lang.String` | `LBL_BIND_ADDR`
`protected static java.lang.String` | `LBL_BTN_ADD`
`protected static java.lang.String` | `LBL_BTN_BROWSE`
`protected static java.lang.String` | `LBL_BTN_CANCEL`
`protected static java.lang.String` | `LBL_BTN_CLOSE_TUNNEL`
`protected static java.lang.String` | `LBL_BTN_CONNECT`
`protected static java.lang.String` | `LBL_BTN_DELETE`
`protected static java.lang.String` | `LBL_BTN_DISMISS`
`protected static java.lang.String` | `LBL_BTN_NEW`
`protected static java.lang.String` | `LBL_BTN_OK`
`protected static java.lang.String` | `LBL_BTN_PREFS`
`protected static java.lang.String` | `LBL_BTN_PROXY`
`protected static java.lang.String` | `LBL_BTN_REFRESH`
`protected static java.lang.String` | `LBL_C2S`
`protected static java.lang.String` | `LBL_CIPHER`
`protected static java.lang.String` | `LBL_COMP`
`protected static java.lang.String` | `LBL_CRYPTOCARD`
`protected static java.lang.String` | `LBL_CURR_TUNNELS`
`protected static java.lang.String` | `LBL_CUSTOM_LIST`
`protected static java.lang.String` | `LBL_HKEY_DSS`
`protected static java.lang.String` | `LBL_HKEY_RSA`
`protected static java.lang.String` | `LBL_HKEY_TYPE`
`protected static java.lang.String` | `LBL_HOST_KEY`
`protected static java.lang.String` | `LBL_IDENTITY`
`protected static java.lang.String` | `LBL_INTERVAL`
`protected static java.lang.String` | `LBL_KBDINT`
`protected static java.lang.String` | `LBL_KEY_NOISE`
`protected static java.lang.String` | `LBL_LOCAL_DISP`
`protected static java.lang.String` | `LBL_MAC`
`protected static java.lang.String` | `LBL_MODIFY_LIST`
`protected static java.lang.String` | `LBL_PASSWORD`
`protected static java.lang.String` | `LBL_PORT`
`protected static java.lang.String` | `LBL_PROTO_SSH1`
`protected static java.lang.String` | `LBL_PROTO_SSH2`
`protected static java.lang.String` | `LBL_PROTOCOL`
`protected static java.lang.String` | `LBL_PROXY_TYPE`
`protected static java.lang.String` | `LBL_S2C`
`protected static java.lang.String` | `LBL_SAVE_AS_ALIAS`
`protected static java.lang.String` | `LBL_SECONDS`
`protected static java.lang.String` | `LBL_SECURID`
`protected static java.lang.String` | `LBL_SEND_KEEP`
`protected static java.lang.String` | `LBL_SERVER`
`protected static java.lang.String` | `LBL_STRICT`
`protected static java.lang.String` | `LBL_TAB_FEATURES`
`protected static java.lang.String` | `LBL_TAB_GENERAL`
`protected static java.lang.String` | `LBL_TAB_PROXY`
`protected static java.lang.String` | `LBL_TAB_SECURITY`
`protected static java.lang.String` | `LBL_TIS`
`protected static java.lang.String` | `LBL_TRANS_PREFS`
`protected static java.lang.String` | `LBL_USERNAME`
`protected static java.lang.String` | `LBL_X11_FORWARD`
`protected static java.lang.String[]` | `lvl2comp`
`protected static java.lang.String[]` | `macs`
`protected static int` | `MENU_FILE`
`protected static java.lang.String` | `MENU_HEADER_PLUGINS`
`protected static java.lang.String` | `MENU_HEADER_POPUP`
`protected static int` | `MENU_HELP`
`protected static int` | `MENU_SETTINGS`
`protected static int` | `MENU_TUNNELS`
`protected static java.lang.String[][]` | `menuTexts`
`protected MindTerm` | `mindterm`
`protected int` | `modCnt`
`protected MindTermModule[]` | `modules`
`protected static int` | `NO_SHORTCUT`
`protected java.awt.Frame` | `parent`
`protected SSHPropertyHandler` | `ph`
`protected static java.lang.String[]` | `protos`
`protected TerminalWin` | `term`

Constructor Summary
`SSHMenuHandlerFull()`

Method Summary
`protected abstract void` | `aboutDialog(java.awt.Frame parent, SSHInteractiveClient client, java.lang.String title, java.lang.String aboutText)`
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `alertDialog(java.lang.String message)`
`void` | `close()`
`boolean` | `confirmDialog(java.lang.String message, boolean defAnswer)`
`protected abstract void` | `connectDialog(java.lang.String title)`
`protected void` | `currentTunnelsDialog()`
`protected abstract void` | `currentTunnelsDialog(java.lang.String title)`
`static SSHMenuHandler` | `getInstance(java.awt.Frame frame)`
`protected abstract java.lang.String` | `getMenuLabel(java.lang.Object o)`
`protected static int` | `getMenuShortCut(int m, int s)`
`protected java.lang.String` | `getModuleLabel(int module)`
`int` | `getPopupButton()`
`protected abstract boolean` | `getState(int i, int j)`
`void` | `init(MindTerm mindterm, SSHInteractiveClient client, java.awt.Frame parent, TerminalWin term)`
`void` | `itemStateChanged(java.awt.event.ItemEvent e)`
`protected void` | `keyGenerationDialogCreate()`
`protected abstract void` | `keyGenerationDialogCreate(java.lang.String title)`
`protected void` | `keyGenerationDialogEdit()`
`protected abstract void` | `keyGenerationDialogEdit(java.lang.String title)`
`void` | `loadFileDialog()`
`protected void` | `modulesConnect()`
`protected void` | `modulesDisconnect()`
`java.lang.String` | `passwordDialog(java.lang.String message, java.lang.String title)`
`void` | `saveAsFileDialog()`
`protected abstract void` | `setEnabled(int i, int j, boolean v)`
`java.lang.String` | `setPasswordDialog(java.lang.String message, java.lang.String title)`
`void` | `setPopupButton(int popButtonNum)`
`protected abstract void` | `setState(int i, int j, boolean v)`
`abstract void` | `setupMenuBar(boolean usePopupMenu)`
`protected void` | `setupTunnelsDialog()`
`protected abstract void` | `setupTunnelsDialog(java.lang.String title)`
`protected void` | `sshNewServerDialog()`
`protected abstract void` | `sshNewServerDialog(java.lang.String title)`
`protected void` | `sshPreferencesDialog()`
`protected abstract void` | `sshPreferencesDialog(java.lang.String title)`
`void` | `textDialog(java.lang.String title, java.lang.String text, int rows, int cols, boolean scrollbar)`
`void` | `update()` Called when the menu is updated
`protected abstract void` | `updatePluginMenu()`

Methods inherited from class com.mindbright.ssh.SSHMenuHandler
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.mindbright.terminal.TerminalMenuListener
`close`

Field Detail

### ACT_MOD_BASE

    protected static final int ACT_MOD_BASE

See Also:
  Constant Field Values

### client

    protected SSHInteractiveClient client

### parent

    protected java.awt.Frame parent

### term

    protected TerminalWin term

### mindterm

    protected MindTerm mindterm

### modules

    protected MindTermModule[] modules

### modCnt

    protected int modCnt

### ph

    protected SSHPropertyHandler ph

### MENU_FILE

    protected static final int MENU_FILE

See Also:
  Constant Field Values

### MENU_SETTINGS

    protected static final int MENU_SETTINGS

See Also:
  Constant Field Values

### MENU_TUNNELS

    protected static final int MENU_TUNNELS

See Also:
  Constant Field Values

### MENU_HELP

    protected static final int MENU_HELP

See Also:
  Constant Field Values

### MENU_HEADER_POPUP

    protected static final java.lang.String MENU_HEADER_POPUP

See Also:
  Constant Field Values

### MENU_HEADER_PLUGINS

    protected static final java.lang.String MENU_HEADER_PLUGINS

See Also:
  Constant Field Values

### menuTexts

    protected static final java.lang.String[][] menuTexts

### NO_SHORTCUT

    protected static final int NO_SHORTCUT

See Also:
  Constant Field Values

### LBL_SAVE_AS_ALIAS

    protected static java.lang.String LBL_SAVE_AS_ALIAS

### LBL_CUSTOM_LIST

    protected static java.lang.String LBL_CUSTOM_LIST

### LBL_SECURID

    protected static java.lang.String LBL_SECURID

### LBL_CRYPTOCARD

    protected static java.lang.String LBL_CRYPTOCARD

### LBL_TIS

    protected static java.lang.String LBL_TIS

### LBL_KBDINT

    protected static java.lang.String LBL_KBDINT

### LBL_TRANS_PREFS

    protected static java.lang.String LBL_TRANS_PREFS

### LBL_ANY_STANDARD

    protected static java.lang.String LBL_ANY_STANDARD

### LBL_X11_FORWARD

    protected static java.lang.String LBL_X11_FORWARD

### LBL_SEND_KEEP

    protected static java.lang.String LBL_SEND_KEEP

### LBL_BIND_ADDR

    protected static java.lang.String LBL_BIND_ADDR

### LBL_STRICT

    protected static java.lang.String LBL_STRICT

### LBL_ALLOC_PTY

    protected static java.lang.String LBL_ALLOC_PTY

### LBL_KEY_NOISE

    protected static java.lang.String LBL_KEY_NOISE

### LBL_AVAIL_HOSTS

    protected static java.lang.String LBL_AVAIL_HOSTS

### LBL_SERVER

    protected static java.lang.String LBL_SERVER

### LBL_PORT

    protected static java.lang.String LBL_PORT

### LBL_USERNAME

    protected static java.lang.String LBL_USERNAME

### LBL_AUTH

    protected static java.lang.String LBL_AUTH

### LBL_AUTH_REQ

    protected static java.lang.String LBL_AUTH_REQ

### LBL_PASSWORD

    protected static java.lang.String LBL_PASSWORD

### LBL_MODIFY_LIST

    protected static java.lang.String LBL_MODIFY_LIST

### LBL_IDENTITY

    protected static java.lang.String LBL_IDENTITY

### LBL_HOST_KEY

    protected static java.lang.String LBL_HOST_KEY

### LBL_PROTOCOL

    protected static java.lang.String LBL_PROTOCOL

### LBL_PROTO_SSH1

    protected static java.lang.String LBL_PROTO_SSH1

### LBL_PROTO_SSH2

    protected static java.lang.String LBL_PROTO_SSH2

### LBL_HKEY_TYPE

    protected static java.lang.String LBL_HKEY_TYPE

### LBL_HKEY_DSS

    protected static java.lang.String LBL_HKEY_DSS

### LBL_HKEY_RSA

    protected static java.lang.String LBL_HKEY_RSA

### LBL_C2S

    protected static java.lang.String LBL_C2S

### LBL_S2C

    protected static java.lang.String LBL_S2C

### LBL_CIPHER

    protected static java.lang.String LBL_CIPHER

### LBL_MAC

    protected static java.lang.String LBL_MAC

### LBL_COMP

    protected static java.lang.String LBL_COMP

### LBL_LOCAL_DISP

    protected static java.lang.String LBL_LOCAL_DISP

### LBL_INTERVAL

    protected static java.lang.String LBL_INTERVAL

### LBL_SECONDS

    protected static java.lang.String LBL_SECONDS

### LBL_CURR_TUNNELS

    protected static java.lang.String LBL_CURR_TUNNELS

### LBL_PROXY_TYPE

    protected static java.lang.String LBL_PROXY_TYPE

### LBL_BTN_OK

    protected static java.lang.String LBL_BTN_OK

### LBL_BTN_DISMISS

    protected static java.lang.String LBL_BTN_DISMISS

### LBL_BTN_CANCEL

    protected static java.lang.String LBL_BTN_CANCEL

### LBL_BTN_NEW

    protected static java.lang.String LBL_BTN_NEW

### LBL_BTN_CONNECT

    protected static java.lang.String LBL_BTN_CONNECT

### LBL_BTN_PROXY

    protected static java.lang.String LBL_BTN_PROXY

### LBL_BTN_PREFS

    protected static java.lang.String LBL_BTN_PREFS

### LBL_BTN_BROWSE

    protected static java.lang.String LBL_BTN_BROWSE

### LBL_BTN_CLOSE_TUNNEL

    protected static java.lang.String LBL_BTN_CLOSE_TUNNEL

### LBL_BTN_REFRESH

    protected static java.lang.String LBL_BTN_REFRESH

### LBL_BTN_ADD

    protected static java.lang.String LBL_BTN_ADD

### LBL_BTN_DELETE

    protected static java.lang.String LBL_BTN_DELETE

### LBL_TAB_GENERAL

    protected static java.lang.String LBL_TAB_GENERAL

### LBL_TAB_PROXY

    protected static java.lang.String LBL_TAB_PROXY

### LBL_TAB_SECURITY

    protected static java.lang.String LBL_TAB_SECURITY

### LBL_TAB_FEATURES

    protected static java.lang.String LBL_TAB_FEATURES

### IDX_TAB_GENERAL

    protected static int IDX_TAB_GENERAL

### IDX_TAB_PROXY

    protected static int IDX_TAB_PROXY

### IDX_TAB_SECURITY

    protected static int IDX_TAB_SECURITY

### IDX_TAB_FEATURES

    protected static int IDX_TAB_FEATURES

### ERR_NO_PROTOCOL

    protected static java.lang.String ERR_NO_PROTOCOL

### ERR_NO_KEYTYPE

    protected static java.lang.String ERR_NO_KEYTYPE

### hktypes

    protected static java.lang.String[] hktypes

### ciphers

    protected static java.lang.String[] ciphers

### macs

    protected static java.lang.String[] macs

### compc2s

    protected static final java.lang.String[] compc2s

### comps2c

    protected static final java.lang.String[] comps2c

### lvl2comp

    protected static final java.lang.String[] lvl2comp

### protos

    protected static final java.lang.String[] protos

### comp2lvl

    protected static final int[] comp2lvl

### AUTH_METHODS

    protected static final java.lang.String[] AUTH_METHODS

Constructor Detail

### SSHMenuHandlerFull

    public SSHMenuHandlerFull()

Method Detail

### getMenuShortCut

    protected static int getMenuShortCut(int m,
                                         int s)

### getInstance

    public static SSHMenuHandler getInstance(java.awt.Frame frame)

### init

    public void init(MindTerm mindterm,
                     SSHInteractiveClient client,
                     java.awt.Frame parent,
                     TerminalWin term)

  Specified by:
    `init` in class `SSHMenuHandler`

### setPopupButton

    public void setPopupButton(int popButtonNum)

  Specified by:
    `setPopupButton` in class `SSHMenuHandler`

### getPopupButton

    public int getPopupButton()

  Specified by:
    `getPopupButton` in class `SSHMenuHandler`

### getModuleLabel

    protected java.lang.String getModuleLabel(int module)

### modulesConnect

    protected void modulesConnect()

### modulesDisconnect

    protected void modulesDisconnect()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`

### setEnabled

    protected abstract void setEnabled(int i,
                                       int j,
                                       boolean v)

### setState

    protected abstract void setState(int i,
                                     int j,
                                     boolean v)

### getState

    protected abstract boolean getState(int i,
                                        int j)

### updatePluginMenu

    protected abstract void updatePluginMenu()

### setupMenuBar

    public abstract void setupMenuBar(boolean usePopupMenu)

  Specified by:
    `setupMenuBar` in class `SSHMenuHandler`

### getMenuLabel

    protected abstract java.lang.String getMenuLabel(java.lang.Object o)

### update

    public void update()

  Description copied from interface: `TerminalMenuListener`
  Called when the menu is updated

  Specified by:
    `update` in interface `TerminalMenuListener`
  Specified by:
    `update` in class `SSHMenuHandler`

### close

    public void close()

### sshPreferencesDialog

    protected abstract void sshPreferencesDialog(java.lang.String title)

### sshPreferencesDialog

    protected void sshPreferencesDialog()

### sshNewServerDialog

    protected abstract void sshNewServerDialog(java.lang.String title)

### sshNewServerDialog

    protected final void sshNewServerDialog()

### currentTunnelsDialog

    protected abstract void currentTunnelsDialog(java.lang.String title)

### currentTunnelsDialog

    protected final void currentTunnelsDialog()

### setupTunnelsDialog

    protected abstract void setupTunnelsDialog(java.lang.String title)

### setupTunnelsDialog

    protected final void setupTunnelsDialog()

### connectDialog

    protected abstract void connectDialog(java.lang.String title)

### loadFileDialog

    public final void loadFileDialog()

### keyGenerationDialogCreate

    protected abstract void keyGenerationDialogCreate(java.lang.String title)

### keyGenerationDialogCreate

    protected final void keyGenerationDialogCreate()

### keyGenerationDialogEdit

    protected abstract void keyGenerationDialogEdit(java.lang.String title)

### keyGenerationDialogEdit

    protected final void keyGenerationDialogEdit()

### saveAsFileDialog

    public final void saveAsFileDialog()

### alertDialog

    public final void alertDialog(java.lang.String message)

  Specified by:
    `alertDialog` in class `SSHMenuHandler`

### passwordDialog

    public final java.lang.String passwordDialog(java.lang.String message,
                                                 java.lang.String title)

### setPasswordDialog

    public final java.lang.String setPasswordDialog(java.lang.String message,
                                                    java.lang.String title)

### confirmDialog

    public final boolean confirmDialog(java.lang.String message,
                                       boolean defAnswer)

  Specified by:
    `confirmDialog` in class `SSHMenuHandler`

### textDialog

    public final void textDialog(java.lang.String title,
                                 java.lang.String text,
                                 int rows,
                                 int cols,
                                 boolean scrollbar)

  Specified by:
    `textDialog` in class `SSHMenuHandler`

### aboutDialog

    protected abstract void aboutDialog(java.awt.Frame parent,
                                        SSHInteractiveClient client,
                                        java.lang.String title,
                                        java.lang.String aboutText)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD